net.sourceforge.jnlp.controlpanel

## Class JVMPanel.JvmValidationResult

- java.lang.Object
- - net.sourceforge.jnlp.controlpanel.JVMPanel.JvmValidationResult

Enclosing class:
  JVMPanel

    public static class JVMPanel.JvmValidationResult
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `JVMPanel.JvmValidationResult.STATE`

### Field Summary

Fields
`java.lang.String` `formattedText`
`JVMPanel.JvmValidationResult.STATE` `id`

### Constructor Summary

Constructors
Constructor and Description
`JVMPanel.JvmValidationResult(java.lang.String formattedText, JVMPanel.JvmValidationResult.STATE id)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### formattedText

    public final java.lang.String formattedText

#### id

    public final JVMPanel.JvmValidationResult.STATE id

### Constructor Detail

#### JVMPanel.JvmValidationResult

    public JVMPanel.JvmValidationResult(java.lang.String formattedText,
                                JVMPanel.JvmValidationResult.STATE id)